<?php
session_start(); // start up your PHP session!
 if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΚΑΝΕΤΕ ΕΓΓΡΑΦΗ ΓΙΑ ΧΡΗΣΗΣ ΤΟΥ ΣΥΣΤΗΜΑΤΟΣ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); 
  exit();
  }

?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js">
</script>
<style type="text/css">
input.right{  text-align:right;  }
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:10pt; }
</style>
</script>

</head>

<body>

<?php

echo "<table class='myTable' >
<tr style='border:1px solid black'   >
<th> </th>
<th colspan='3'>1-9</th>
<th colspan='3'>10-12</th>
<th colspan='3'>13-15</th>
<th colspan='3'>16-18</th>
<th colspan='3'>19-20</th>";
echo "<tr>";
echo "
<th>ΜΑΘΗΜΑ</th>
<th  >Α τετρ</th>
<th>Β τετρ</th>
<th>Εξεταση</th>
<th  >Α τετρ</th>
<th>Β τετρ</th>
<th>Εξεταση</th>
<th  >Α τετρ</th>
<th>Β τετρ</th>
<th>Εξεταση</th>
<th  >Α τετρ</th>
<th>Β τετρ</th>
<th>Εξεταση</th>
<th  >Α τετρ</th>
<th>Β τετρ</th>
<th>Εξεταση</th>
<th>Μαθ.</th>
";
$i=1;
$row=mysqli_fetch_array($sql);

while(!empty($row)) 
{
  $math=$row['mathima'];
  echo "<tr>";
  echo "<td>". $math;
  $a=$b=$e=array();
  $a[1]=0;$a[2]=0;$a[3]=0;$a[4]=0;$a[5]=0;
  while($math==$row['mathima'])
  {
	$ba=$row['bathmosa'];
	$bb=$row['bathmosb'];
	$be=$row['exetasi'];
	If ($ba > 0)
	{
		if ($ba < 10) 
		{
			$a[1]++; 
		} 
		elseif ($ba < 12)  { $a[2]++;}
		elseif ($ba < 15) { $a[3]++;}
		elseif ($ba < 18) { $a[4]++;}
		else  { $a[5]++; }
	}	
	
	if ($bb > 0)
	{
	if ($bb < 10) 
    {
	    $b[1]++; 
    } 
    elseif ($bb <12) {
          $b[2]++;
       } elseif ($bb < 15) {
           $b[3]++;
		} elseif ($bb < 18) {
           $b[4]++;
		}
		else  { $b[5]++; }	
	}	
	
	if ($be > 0)
	{
	if ($be < 10) 
    {
	    $e[1]++; 
    } 
    elseif ($be <12) {
          $e[2]++;
       } elseif ($be < 15) {
           $e[3]++;
		} elseif ($be < 18) {
           $e[4]++;
		}
		else  { $e[5]++; }
	}
     $row=mysqli_fetch_array($sql); 
   }
  
  echo "<td>". $a[1] . "</td>";
  echo "<td>". $b[1] . "</td>";
  echo "<td>". $e[1] . "</td>";
  echo "<td>". $a[2] . "</td>";
  echo "<td>". $b[2] . "</td>";
  echo "<td>". $e[2] . "</td>";
  echo "<td>". $a[3] . "</td>";
  echo "<td>". $b[3] . "</td>";
  echo "<td>". $e[3] . "</td>";
  echo "<td>". $a[4] . "</td>";
  echo "<td>". $b[4] . "</td>";
  echo "<td>". $e[4] . "</td>";
  echo "<td>". $a[5] . "</td>";
  echo "<td>". $b[5] . "</td>";
  echo "<td>". $e[5] . "</td>";
  echo "<td>". array_sum($a) . "</td>";
  
  echo "</tr>";
}

	

  
echo "</table>"; 
 

?>

</body>
</html>